/* This program creates a copy of itself, then both of them die. */
#include <stdio.h>
#include <stdlib.h>

int main (void) {
	int child_id;

	printf ("Here I am in the program!\n");

	child_id = fork();

	if (child_id) {
		printf ("I'm the parent.  Bye now!\n");
		}
	else {
		printf ("I'm the child.  Bye now!\n");
		}
	return 0;
	}
